import request from '@/assets/js/utils/request'
// 获取订单价格
export function getPayPriceByOrderNo(accessToken, data) {
  return request({
    url: '/bidprocurement/bidding-docfee/docfee/tenderSupplierPayDocOrder/getPayPriceByOrderNo',
    method: 'post',
    headers: {
      'X-AUTH-TOKEN': accessToken
    },
    data
  })
}

// 查支付状态
export function getOrderStatusByOrderNo(accessToken, data) {
  return request({
    url: '/bidprocurement/bidding-docfee/docfee/tenderSupplierPayDocOrder/getOrderStatusByOrderNo',
    method: 'post',
    headers: {
      'X-AUTH-TOKEN': accessToken
    },
    data
  })
}
// 查询微信支付
export function qcPayBid(accessToken, data) {
  return request({
    url: '/bidprocurement/bidding-bidPayCenter/weixin/qcPayBid',
    method: 'post',
    headers: {
      'X-AUTH-TOKEN': accessToken
    },
    data
  })
}
// 根据id查询支付配置信息
export function selectPayConfigInfoById(accessToken, params) {
  return request({
    url: '/bidprocurement/bidding-docfee/docfee/payConfig/selectPayConfigInfoById',
    method: 'post',
    headers: {
      'X-AUTH-TOKEN': accessToken
    },
    params
  })
}
